<button mat-icon-button (click)="startProcess()" *ngIf="currentPage===0">
    <mat-icon>control_point</mat-icon>
</button>

<div [@animSlider]="counter">
    <mat-table [dataSource]="dataSource" class="mat-elevation-z8" *ngIf="currentPage===0">
        <ng-container *ngFor="let column of columns; let i = index" matColumnDef="{{ column.field }}">            
            <mat-header-cell *matHeaderCellDef>{{ column.field }}</mat-header-cell>
            <mat-cell *matCellDef="let row" [class.link]="column.field == 'name'" 
                      (click)="getTaskDiagram(row, column.field)">{{ row[column.field] }}</mat-cell>
        </ng-container>
    
        <mat-header-row mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;" (doubleClick)="onRowDoubleClick(row)"></mat-row>
        
        <ng-container matColumnDef="groupHeader">
            <mat-cell colspan="999" *matCellDef="let group">
                <mat-icon *ngIf="group.expanded">expand_less</mat-icon>
                <mat-icon *ngIf="!group.expanded">expand_more</mat-icon>
                <strong>{{group[groupByColumns[group.level-1]]}} ({{group.totalCounts}})</strong>
            </mat-cell>
        </ng-container>
        <mat-row *matRowDef="let row; columns: ['groupHeader']; when: isGroup" (click)="groupHeaderClick(row)"> </mat-row>
    </mat-table>
    <div *ngIf="currentPage===1">
        <app-task-item (fromTaskForm)="onFromTaskForm($event)" 
                        [currentTaskId]="currentTaskId"
                        [currentTaskDefinitionKey]="currentTaskDefinitionKey"
                        [currentProcessDefinitionId]="currentProcessDefinitionId">
        </app-task-item>        
    </div>
    <div *ngIf="currentPage===2">
        <app-start-process-form (fromStartForm)="onFromStartForm($event)"></app-start-process-form>  
    </div>
</div>
<mat-spinner *ngIf="loaded"></mat-spinner>



